version: "2" 

services:
  bookstack:
    image: linuxserver/bookstack
    container_name: bookstack
    environment:
      - PUID=1002
      - PGID=1002
      - DB_HOST=bookstack_db
      - DB_USER=bookstack
      - DB_PASS=chengli197
      - DB_DATABASE=bookstackapp
      - APP_URL=https://book.airdog.site
      - VIRTUAL_HOST=book.airdog.site
      - LETSENCRYPT_HOST=book.airdog.site
      - LETSENCRYPT_EMAIL=ouch@thetrauma.org
      - VIRTUAL_PORT=80
      
#    volumes:
#      - /home/lufthund/bookstack/config:/config
#    ports:
#      - 9090:80
    restart: unless-stopped
    depends_on:
      - bookstack_db
    networks:
     bookstack_backend:
     franvproxy_test_proxy-tier:
   
      
  bookstack_db:
    image: linuxserver/mariadb
    container_name: bookstack_db
    environment:
      - PUID=1002
      - PGID=1002
      - MYSQL_ROOT_PASSWORD=chengli197
      - TZ=Europe/London
      - MYSQL_DATABASE=bookstackapp
      - MYSQL_USER=bookstack
      - MYSQL_PASSWORD=chengli197
    volumes:
      - ./data:/config
    restart: unless-stopped
    networks:
     bookstack_backend:

networks:
  bookstack_backend:
  franvproxy_test_proxy-tier:
    external: true
